org.codehaus.groovy.runtime.metaclass

## Class MixinInstanceMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaMethod

All Implemented Interfaces:
  java.lang.Cloneable

    public class MixinInstanceMetaMethod
    extends MetaMethod

MetaMethod for mixed in classes

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`MixinInstanceMetaMethod(MetaMethod method, MixinInMetaClass mixinInMetaClass)`

### Method Summary

Methods
`CachedClass` `getDeclaringClass()`
`int` `getModifiers()`
`java.lang.String` `getName()`
`protected java.lang.Class[]` `getPT()`
`java.lang.Class` `getReturnType()`
`java.lang.Object` `invoke(java.lang.Object object, java.lang.Object[] arguments)`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MixinInstanceMetaMethod

    public MixinInstanceMetaMethod(MetaMethod method,
                           MixinInMetaClass mixinInMetaClass)

### Method Detail

#### getModifiers

    public int getModifiers()

Specified by:
  `getModifiers` in class `MetaMethod`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `MetaMethod`

#### getReturnType

    public java.lang.Class getReturnType()

Specified by:
  `getReturnType` in class `MetaMethod`

#### getDeclaringClass

    public CachedClass getDeclaringClass()

Specified by:
  `getDeclaringClass` in class `MetaMethod`

#### invoke

    public java.lang.Object invoke(java.lang.Object object,
                          java.lang.Object[] arguments)

Specified by:
  `invoke` in class `MetaMethod`

#### getPT

    protected java.lang.Class[] getPT()

Overrides:
  `getPT` in class `ParameterTypes`